package com.qmth.boot.core.solar.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;

/**
 * 应用部署信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AppInfo implements Serializable {

    private static final long serialVersionUID = -6271285277552557162L;

    //内部主键
    private Long id;

    //部署名称
    private String name;

    //应用编码
    private String code;

    //控制参数
    private AppControl control;

    public AppInfo() {
        this.control = new AppControl();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AppControl getControl() {
        return control;
    }

    public void setControl(AppControl control) {
        this.control = control;
    }

}
